Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class SimpleDirectedWeightedGraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<V,E>
                  org.jgrapht.graph.SimpleDirectedWeightedGraph<V,E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DirectedGraph<V,E>, Graph<V,E>, WeightedGraph<V,E>

    public class SimpleDirectedWeightedGraph<V,E>

extends SimpleDirectedGraph<V,E>
implements WeightedGraph<V,E>

A simple directed weighted graph. A simple directed weighted graph is a simple directed graph for which edges are assigned weights.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jgrapht.WeightedGraph
`DEFAULT_EDGE_WEIGHT`

Constructor Summary
`SimpleDirectedWeightedGraph(java.lang.Class<? extends E> edgeClass)` Creates a new simple directed weighted graph.
`SimpleDirectedWeightedGraph(EdgeFactory<V,E> ef)` Creates a new simple directed weighted graph with the specified edge factory.

Method Summary

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.WeightedGraph
`setEdgeWeight`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Constructor Detail

### SimpleDirectedWeightedGraph

    public SimpleDirectedWeightedGraph(EdgeFactory<V,E> ef)

  Creates a new simple directed weighted graph with the specified edge factory.

  Parameters:
    `ef` - the edge factory of the new graph.

### SimpleDirectedWeightedGraph

    public SimpleDirectedWeightedGraph(java.lang.Class<? extends E> edgeClass)

  Creates a new simple directed weighted graph.

  Parameters:
    `edgeClass` - class on which to base factory for edges

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD